// -*- C++ -*-

//=============================================================================
/**
 *  @file    math.h
 *
 *  mathematical declarations
 *
 *  math.h,v 1.3 2003/05/22 00:18:03 dhinton Exp
 *
 *  @author Don Hinton <dhinton@ieee.org>
 *  @author This code was originally in various places including ace/OS.h.
 */
//=============================================================================

#ifndef ACE_OS_INCLUDE_MATH_H
#define ACE_OS_INCLUDE_MATH_H

#include "ace/pre.h"

#include "ace/config-all.h"

#if !defined (ACE_LACKS_PRAGMA_ONCE)
# pragma once
#endif /* ACE_LACKS_PRAGMA_ONCE */

// FUZZ: disable check_for_math_include

#if !defined (ACE_LACKS_MATH_H)
# include /**/ <math.h>
#endif /* !ACE_LACKS_MATH_H */

#include "ace/post.h"
#endif /* ACE_OS_INCLUDE_MATH_H */
